import request from '@/utils/request'

/**
 * 分页参数
 * @param {Object} page 分页参数
 * @author lroyia
 * @since 2021年2月7日 09:19:15
 */
export function taskCommonPage(page) {
  return request({
    url: '/task/common_page',
    method: 'post',
    data: page
  })
}
/**
 * 我的待办分页 汇总
 * @param {Object} page 分页参数
 * @author Lee
 * @since 2021年6月1日 11:24:15
 */
export function taskUnionPage(data, cancelToken) {
  return request({
    url: '/task/taskUnionPage',
    method: 'post',
    data: data,
    cancelToken: cancelToken
  })
}
/**
 * 我的待办统计
 * @param {Object} page 分页参数
 * @author Lee
 * @since 2021年6月1日 11:24:15
 */
export function taskUnionPageStatistic(page) {
  return request({
    url: '/task/taskUnionPageStatistic',
    method: 'post',
    data: page
  })
}
/**
 * 已办分页
 * @param {Object} page 分页参数
 * @author Lee
 * @since 2021年5月26日 15:59:12
 */
export function taskFinishPage(page) {
  return request({
    url: '/task/taskFinishPage',
    method: 'post',
    data: page
  })
}
/**
 * 已办分页 汇总
 * @param {Object} page 分页参数
 * @author Lee
 * @since 2021年5月26日 15:59:12
 */
export function finishTaskUnionPage(page) {
  return request({
    url: '/task/finishTaskUnionPage',
    method: 'post',
    data: page
  })
}

/**
 * 待办处办记录
 * @param {string} workflowId 工作流id
 * @author lroyia
 * @since 2021年2月8日 09:39:48
 */
export function taskOpinion(workflowId) {
  return request({
    url: `/task/opinion?workflowId=${workflowId}`,
    method: 'get'
  })
}

/**
 * 打印审批表同意意见列表
 * @param {string} workflowId 工作流id
 */
export function opinionPrint(workflowId) {
  return request({
    url: `/task/opinionPrint?workflowId=${workflowId}`,
    method: 'get'
  })
}
/**
 * 获取文书信息
 * @param {string}} bizseq 业务号
 * @returns 获取结果
 * @author lroyia
 * @since 2021年3月15日 17:09:05
 */
export function getWrit(bizseq) {
  return request({
    url: `/writ/getWritByBizseqId?bizSeqId=${bizseq}`,
    method: 'get'
  })
}

/**
 * 获取文书信息列表
 * @param {string}} bizseq 业务号
 * @returns 获取结果
 * @author lroyia
 * @since 2021年3月15日 17:09:05
 */
export function getWritList(bizseq) {
  return request({
    url: `/writ/getWritListByBizseqId?bizSeqId=${bizseq}`,
    method: 'get'
  })
}

/**
 * 获取未办结的件，当前环节信息
 */
export function currentValidNode(params) {
  return request({
    url: `/task/currentValidNode`,
    method: 'get',
    params
  })
}

/**
 * 检查是否需要打印
 * @param {string} bizseq
 */
export function checkPrint(workflowid) {
  const form = new FormData()
  form.append('workflowid', workflowid)
  return request({
    url: '/bizSerIllegalDiss/checkPrint',
    method: 'post',
    data: form
  })
}

/**
 * 获取流程节点信息
 * @param {string} workflowId 工作流id

 */
 export function getProcessNodeList(workflowId) {
  return request({
      url: `task/processNodeList/${workflowId}`,
      method: 'get'
  })
}

/**
 * 通过待办id获取待办信息
 * @param {string} taskListId 待办id

 */
 export function getTaskList(taskListId) {
  return request({
      url: `task/${taskListId}`,
      method: 'get'
  })
}

/**
 * 导出信用修复待办
 * @param data
 * @returns {AxiosPromise}
 */
export function exportRepairTask(data) {
  return request({
    url: '/task/exportRepairTask',
    method: 'post',
    responseType: 'blob',
    data
  })
}
